# PetscLogPrintDetailed

Each process prints the times for its own events

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogPrintDetailed(MPI_Comm comm, const char filename[])

Collective over MPI_Comm

### Input Parameter

| comm | - The MPI communicator (only one processor prints output)
| file | - [Optional] The output file name

### Options Database Keys

-log_summary_detailed -Prints summary of log information (for code compiled with PETSC_USE_LOG)

### Usage

         PetscInitialize(...);
         PetscLogBegin();
         ... code ...
         PetscLogPrintDetailed(MPI_Comm,filename);
         PetscFinalize(...);

### Notes

By default the summary is printed to stdout.

### Keywords

log, dump, print

### See Also

PetscLogBegin(), PetscLogDump(), PetscLogPrintSummary()

Level:beginner
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages